iSmart MM on DSI v1.4U

Discussion in 'Other Flashing Hardware & Software' started by AbsoluteBlack, Jul 9, 2014.

  1. AbsoluteBlack
    OP

    AbsoluteBlack Newbie

    Newcomer
    3
    0
    Oct 2, 2013
    United States
    I know the iSmart is old and was never very popular, but it was cheap and seems fine - except it won't boot. My DSi is on 1.4U which is definitely a supported version, but when I select the cart it just says an error has occurred and to check the DSi troubleshoot manual yada yada. Any advice or troubleshooting guides?
     
  2. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    It sounds like a contact issue. Have you tried to clean the contacts of the card with alcohol?
     
  3. Parasite X

    Parasite X Banned

    Banned
    637
    75
    Jul 6, 2009
    United States
    Katy Tx
    Have you tried or Do you tried which makes sense
     
  4. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,065
    633
    Oct 22, 2011
    Gambia, The
    fix'd
     
  5. AbsoluteBlack
    OP

    AbsoluteBlack Newbie

    Newcomer
    3
    0
    Oct 2, 2013
    United States
    Yeah the contacts are good. Update after more work, the flash cart loads on an older dslite, I think it just came with old firmware.

    I *think* I know what to do now.